@import '@ui-components/assets/themes/themify.utils.scss';
@import '~/src/themes.scss';

@mixin sticky {
  position: sticky;
  top:0;
  left:0;
}

#MatrixHeader {
  @include sticky;

  display: flex;
  flex-direction: column;
  justify-content: center;

  align-self: start;
  font-size: 12px;
  text-transform: uppercase;
  text-rendering: optimizeLegibility;
  user-select: none;
  white-space: nowrap;
  text-overflow: ellipsis;

  height: 140px;
  z-index: 3;

  .SourcesTitle {
    width: 100%;
    height: 50px;
  }

  .DestinationsTitle {
    height: 140px;

    .SeparatorTop {
      transform:
      translateX(-12px)
      translateY(42px)
      rotateZ(-48deg);
    }
  }
}

.DestinationRowAreaContainer, .SourceColumnAreaContainer{
  @include sticky;
  z-index: 2;
}

.DestinationSeparatorContainer{
  @include sticky;
  background-color: transparent;
  z-index: 1;
}

@include themify('MatrixLayout', $themes) {
  .MatrixTitle, #MatrixHeader {
  font-family: themed('font-family');
  color: themed('item-text');
  }

  .DestinationRowAreaContainer, .DestinationSeparatorContainer, .SourceColumnAreaContainer, #MatrixHeader{
    background-color: themed('background');
  }
}

